Bug Hunting Session
Bug 79957 - EDITING: IFNA() IFERROR() have an strange behaviour inside SUMPRODUCT, fine inside an array SUM()
Summary: EDITING: IFNA() IFERROR() have an strange behaviour inside SUMPRODUCT, fine i...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Eike Rathke
URL:
Whiteboard: target:4.4.0 target:4.3.0.1 target:4.2.6
Keywords:
Depends on:
Blocks:
 
Reported: 2014-06-12 21:58 UTC by m.a.riosv
Modified: 2014-06-18 21:12 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments
Sample file to test (26.62 KB, application/vnd.oasis.opendocument.spreadsheet)
2014-06-12 21:58 UTC, m.a.riosv
Details

Note You need to log in before you can comment on or make changes to this bug.
Description m.a.riosv 2014-06-12 21:58:59 UTC
Created attachment 100943 [details]
Sample file to test

Win7x64Ultimate

With attached file results are wrong in cells
A1:A4 , A7:G10 , G1:G4 , G7:G10 with:
Version 4.0.6.2 (Build ID: 2e2573268451a50806fcd60ae2d9fe01dd0ce24)
Version: 4.1.6.2 Build ID: 40ff705089295be5be0aae9b15123f687c05b0a

But results are only wrong in cells
A1 , A4 , A7 , A10 , G1 , G4 , G7 , G10 with:
Version: 4.2.4.2 Build ID: 63150712c6d317d27ce2db16eb94c2f3d7b699f8
Version: 4.3.0.0.beta2+Build ID: 939c5b7c2421b226e555cfd14d35d699be787b32
       TinderBox: Win-x86@42, Branch:libreoffice-4-3, Time: 2014-06-12_08:59:41
Version: 4.4.0.0.alpha0+ Build ID: 9885c35ddb9188e5b1549edf8697f6946232f7d3
       TinderBox: Win-x86@39, Branch:master, Time: 2014-06-12_06:31:56
Comment 1 Eike Rathke 2014-06-13 08:21:27 UTC
SUMPRODUCT should force all its arguments to array mode, same as if they were entered in a matrix formula. This does not happen for IF, IFERROR, IFNA and CHOOSE. Especially range references in array mode are not resolved position dependent as implicit intersection if a function expects a single scalar value as argument but an array is created of the reference instead.

Taking.
Comment 2 Commit Notification 2014-06-13 12:23:03 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c9d037e5e8e5850e9c69372580e7a506b573fc2a

resolved fdo#79957 propagate ForceArray through jump tokens



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2014-06-13 12:44:04 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-4-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3453879aac287670db6f700ab98b2519912e9355&h=libreoffice-4-3

resolved fdo#79957 propagate ForceArray through jump tokens


It will be available in LibreOffice 4.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Eike Rathke 2014-06-13 13:15:57 UTC
Pending review
for 4-2 at https://gerrit.libreoffice.org/9767
for 4-2-5 at https://gerrit.libreoffice.org/9770
Comment 5 Commit Notification 2014-06-17 14:13:06 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-4-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=35e31aac7224676b383d63ed4591bbc9c6ba4c08&h=libreoffice-4-2

resolved fdo#79957 propagate ForceArray through jump tokens


It will be available in LibreOffice 4.2.6.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 m.a.riosv 2014-06-18 21:12:45 UTC
Thanks Eike.
Verified with:
Win7x64Ult.
Version: 4.2.6.0.0+ Build ID: 0241a464fc5a142f368d1c2eb3da6f8cf420b26a
   TinderBox: Win-x86@42, Branch:libreoffice-4-2, Time: 2014-06-18_14:40:07
Version: 4.3.0.1.0+ Build ID: e9ef07ed691399119b6bc5f1d2d79222667766c6
   TinderBox: Win-x86@42, Branch:libreoffice-4-3, Time: 2014-06-18_10:37:56
Version: 4.4.0.0.alpha0+ Build ID: 836454d0c1a490066f12cbe6327422ffb1065426
   TinderBox: Win-x86@39, Branch:master, Time: 2014-06-18_05:57:47